Summary: The Open Vulnerability Assessment (OpenVAS) Manager
Name:    openvas-manager
Version: 6.0.3
Release: 29.3.art
Source0: %{name}-%{version}.tar.gz
Source1: openvasmd-init.sh
Source2: openvas-manager.sysconfig
Source3: openvasmd.logrotate
Source4: %{name}.service
Patch0: openvas-manager-bsdsource.patch
Patch1: openvas-manager-setgroups.patch
Patch2: chmod-fix.patch
Patch3: ssh-keygen-fix.patch
Patch4: openvas-scap-path-fix.patch
Patch5: openvas-manager-gpgerror.patch
License: GNU GPLv2
URL: http://www.openvas.org
Group: System Environment/Libraries
Vendor: OpenVAS Development Team, http://www.openvas.org
Packager: Scott R. Shinn <scott@atomicrocketturtle.com>
BuildRoot: %{_builddir}/%{name}-root
Prefix: %{_prefix}

Obsoletes: openvas-administrator
Provides: openvas-administrator

BuildRequires:  openvas-libraries-devel >= 7.0
BuildRequires:  libksba-devel


BuildRequires: e2fsprogs-devel,  doxygen
BuildRequires: cmake
BuildRequires: libgcrypt-devel gpgme gpgme-devel
Requires: openvas-libraries
Requires: doxygen
Requires: /usr/bin/pdflatex
Requires: /usr/bin/makensis
%if 0%{?fc13}
Requires: perl-SQL-Translator
%endif


%if 0%{?fedora} >= 15
BuildRequires: libassuan libassuan-devel
%endif

%if 0%{?fedora} >= 12 || 0%{?rhel} >= 6
BuildRequires: libuuid libuuid-devel
%else
BuildRequires: e2fsprogs e2fsprogs-devel
%endif


%if 0%{?el4}
BuildRequires:  evolution28-glib2-devel evolution28-glib2
Requires: evolution28-glib2
%endif

%if 0%{?el5}%{?fc6}%{?fc7}
BuildRequires:  openvas-glib2-devel openvas-glib2
Requires: openvas-glib2
BuildRequires: e2fsprogs e2fsprogs-devel
%endif

%if 0%{?fedora} >= 12 || 0%{?rhel} >= 6
BuildRequires: libuuid libuuid-devel
%else
BuildRequires: e2fsprogs e2fsprogs-devel
%endif


# OV-7
%if  0%{?rhel} == 6
BuildRequires: atomic-gnutls3-gnutls-devel
BuildRequires: atomic-sqlite-sqlite-devel
BuildRequires:  atomic-glib2-glib2-devel
BuildConflicts: gnutls gnutls-devel sqlite-devel
BuildConflicts: glib2 glib2-devel
%else
BuildRequires: gnutls-devel
BuildRequires: sqlite-devel
Requires: sqlite >= 3.6
BuildRequires: glib2 >= 2.6.0, glib2-devel >= 2.6.0
%endif





%if 0%{?el4}
BuildRequires: libpcap
%else
#BuildRequires: %{_includedir}/pcap.h
BuildRequires: libpcap-devel
%endif




 
%description
The OpenVAS-Manager is a layer between OpenVAS-Scanner and various client
applications such as OpenVAS-Client or Greenbone Security Assistant.  Among
other features, it adds server-side storage of scan results and it makes it
unnecessary for a scan client to keep the connection open until the scan
finishes.


%prep
%setup -b 0 -n %{name}-%{version}
#%if 0%{?fedora} >= 21
#%patch0 -p1
#%endif
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1
#%patch4 -p1
##%patch5 -p1


%build

%if 0%{?el4}
  %ifarch x86_64
    export GLIB_LIBS=/usr/evolution28/lib64/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/evolution28/lib64/pkgconfig:/usr/lib64/pkgconfig/
  %else
    export GLIB_LIBS=/usr/evolution28/lib/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/evolution28/lib/pkgconfig:/usr/lib/pkgconfig/
  %endif
%endif

%if 0%{?el5}%{?fc6}%{?fc7}
  export LDFLAGS="-L/usr/gnutls2/lib -L/lib -L/usr/openvas/lib/ -L/usr/openvas/lib64/"
  export CFLAGS="-I/usr/gnutls2/include -L/usr/gnutls2/lib -I/usr/openvas/include"
  export GNUTLS_LIBS=/usr/gnutls2/lib
  export PKG_CONFIG_PATH=/usr/gnutls2/lib/pkgconfig/:/usr/evolution28/lib/pkgconfig:/usr/lib/pkgconfig/
  %ifarch x86_64
    export GLIB_LIBS=/usr/openvas/lib64/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/openvas/lib64/pkgconfig:/usr/lib64/pkgconfig/:/usr/gnutls2/lib/pkgconfig/
  %else
    export GLIB_LIBS=/usr/openvas/lib/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/openvas/lib/pkgconfig:/usr/lib/pkgconfig/
  %endif
%endif

%if 0%{?el4}%{?el5}
  export PKG_CONFIG_PATH=/usr/evolution28/lib64/pkgconfig:/usr/lib64/pkgconfig/:/usr/gnutls2/lib/pkgconfig:/usr/lib/pkgconfig:/usr/openvas/lib/pkgconfig/:/usr/openvas/lib64/pkgconfig/
  export LDFLAGS="-L/usr/gnutls2/lib -L/lib -L/usr/evolution28/lib/ -L/usr/evolution28/lib64/"
  export CFLAGS="-I/usr/gnutls2/include -L/usr/gnutls2/lib"
%endif


%if 0%{?rhel} >= 6
  export CC="gcc -Wl,-rpath,/opt/atomic/atomic-sqlite/root/usr/lib,-rpath,/opt/atomic/atomic-sqlite/root/usr/lib64,-rpath,/opt/atomic/atomic-gnutls3/root/usr/lib,-rpath,/opt/atomic/atomic-gnutls3/root/usr/lib64,-rpath,/opt/atomic/atomic-glib2/root/usr/lib64/,-rpath,/opt/atomic/atomic-glib2/root/usr/lib/"
  export LDFLAGS="-L/opt/atomic/atomic-glib2/root/usr/lib/ -L/opt/atomic/atomic-glib2/root/usr/lib64/ -L/opt/atomic/atomic-sqlite/root/usr/lib -L/opt/atomic/atomic-gnutls3/root/usr/lib -L/opt/atomic/atomic-gnutls3/root/usr/lib64 -L/lib -L/usr/openvas/lib/ -L/usr/openvas/lib64/"
  export CFLAGS="-I /opt/atomic/atomic-sqlite/root/usr/include -I/opt/atomic/atomic-gnutls3/root/usr/include  -I/usr/openvas/include"
  export GNUTLS_LIBS=/opt/atomic/atomic-gnutls3/root/usr/lib:/opt/atomic/atomic-gnutls3/root/usr/lib64
  export PKG_CONFIG_PATH=/opt/atomic/atomic-glib2/root/usr/lib/pkgconfig:/opt/atomic/atomic-glib2/root/usr/lib64/pkgconfig:/opt/atomic/atomic-sqlite/root/usr/lib/pkgconfig:/opt/atomic/atomic-sqlite/root/usr/lib64/pkgconfig:/opt/atomic/atomic-gnutls3/root/usr/lib/pkgconfig:/opt/atomic/atomic-gnutls3/root/usr/lib64/pkgconfig:/usr/lib/pkgconfig/
%endif


export LDFLAGS="-lgpg-error"


cmake -DCMAKE_VERBOSE_MAKEFILE=ON \
        -DCMAKE_INSTALL_PREFIX=%{_prefix} \
        -DSYSCONFDIR=%{_sysconfdir} \
        -DLOCALSTATEDIR=%{_localstatedir}


%if 0%{?el4}0%{?el5}
perl -p -i -e "s[^include= ][include= -I/usr/gnutls2/include -L/usr/gnutls2/lib ]" openvas.tmpl
%endif


#%{__make}  %{?_smp_mflags}
%{__make} 


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"


mkdir -p %{buildroot}/var/lib/openvas/openvasmd/report_formats/
#mkdir -p %{buildroot}/usr/bin
#mkdir -p %{buildroot}/usr/share/openvas/
#
#%{__install} -m 0755 ./src/openvasmd %{buildroot}/usr/bin/openvasmd
#%{__install} -m 0644 ./src/openvasmd_log.conf %{buildroot}/etc/openvas/openvasmd_log.conf
##%{__install} -m 0644 ./src/ITG.xsl %{buildroot}/etc/openvas/xsl/ITG.xsl
#%{__install} -m 0644 ./src/CPE.xsl %{buildroot}/etc/openvas/xsl/CPE.xsl
#%{__install} -m 0644 ./src/openvasmd_report_html.xsl %{buildroot}//usr/share/openvas/openvasmd_report_html.xsl
#
# Install startup script. Dont use %{_initdir} here. This breaks el4 builds
%if 0%{?rhel} >= 7 || 0%{?fedora} > 15
install -Dp -m 644 %{SOURCE4} %{buildroot}/%{_unitdir}/%{name}.service
%else
install -Dp -m 755 %{SOURCE1} %{buildroot}/etc/rc.d/init.d/openvas-manager
%endif

# Install sysconfig configration
install -Dp -m 644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/sysconfig/openvas-manager


# install log rotation stuff
install -m 644 -Dp %{SOURCE3} \
        %{buildroot}/%{_sysconfdir}/logrotate.d/openvas-manager




%clean
rm -rf $RPM_BUILD_ROOT

%if 0%{?rhel} >= 7 || 0%{?fedora} > 15
%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service


%else
%post
if [ $1 -eq 1 ]; then
  /sbin/chkconfig --add openvas-manager
  /sbin/chkconfig openvas-manager on
fi


%preun
if [ $1 = 0 ]; then
  /sbin/service openvas-manager stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del openvas-manager
fi

%postun
if [ $1 -ge 1 ]; then
  /sbin/service openvas-manager condrestart >/dev/null 2>&1 || :
fi

%endif





%files
%defattr(-,root,root,-)
%config /etc/openvas/openvasmd_log.conf
%config /etc/sysconfig/openvas-manager
%{_sbindir}/openvasmd
/usr/share/man/man8/openvasmd.8.gz
/usr/share/openvas/openvasmd/*
/etc/logrotate.d/openvas-manager
%if 0%{?rhel} >= 7 || 0%{?fedora} > 15
%{_unitdir}/%{name}.service
%else
%{_initrddir}/%{name}
%endif
/usr/sbin/greenbone-scapdata-sync
/usr/sbin/openvas-scapdata-sync
/usr/share/openvas/scap/
/usr/sbin/greenbone-certdata-sync
/usr/sbin/openvas-certdata-sync
/usr/share/doc/openvas-manager/html/omp.html
/usr/share/openvas/cert/cert_db_init.sql
/usr/share/openvas/cert/dfn_cert_getbyname.xsl
/usr/share/openvas/cert/dfn_cert_update.xsl
/etc/openvas/pwpolicy.conf
/usr/sbin/openvas-portnames-update
/usr/share/openvas/openvas-lsc-rpm-creator.sh
/usr/sbin/openvas-migrate-to-postgres
/usr/share/openvas/cert/cert_bund_getbyname.xsl
/usr/share/openvas/cert/cert_bund_update.xsl





%changelog
* Thu May 28 2015 Scott R. Shinn <scott@atomicorp.com> - 6.0.3-29
- Update to 6.0.3

* Tue Mar 17 2015 Scott R. Shinn <scott@atomicorp.com> - 5.0.9-28
- Update to 5.0.9

* Fri Jan 30 2015 Scott R. Shinn <scott@atomicorp.com> - 5.0.8-27
- Update to 5.0.8

* Mon Dec 15 2014 Scott R. Shinn <scott@atomicorp.com> - 5.0.7-26
- Updates for Fedora 21

* Sat Nov 29 2014 Scott R. Shinn <scott@atomicorp.com> - 5.0.7-25
- Update to 5.0.7

* Thu Nov 27 2014 Scott R. Shinn <scott@atomicorp.com> - 5.0.6-24
- Update to 5.0.6

* Mon Nov 17 2014 Scott R. Shinn <scott@atomicorp.com> - 5.0.5-23
- Update to 5.0.5

* Tue Sep 9 2014 Scott R. Shinn <scott@atomicorp.com> - 5.0.4-22
- Update to 5.0.4

* Fri Aug 1 2014 Scott R. Shinn <scott@atomicorp.com> - 5.0.3-20
- Update to 5.0.3

* Thu Jun 19 2014 Scott R. Shinn <scott@atomicorp.com> - 5.0.2-19
- add -rpath for el6

* Mon Jun 16 2014 Scott R. Shinn <scott@atomicorp.com> - 5.0.2-18
- Update to 5.0.2
- Add el6 build logic

* Mon May 12 2014 Scott R. Shinn <scott@atomicorp.com> - 5.0.1-17
- Update to 5.0.1

* Mon May 5 2014 Scott R. Shinn <scott@atomicorp.com> - 5.0.0-16
- Update to 5.0.0

* Fri Feb 28 2014 Scott R. Shinn <scott@atomicorp.com> - 4.0.5-15
- Update to 4.0.5

* Fri Nov 8 2013 Scott R. Shinn <scott@atomicorp.com> - 4.0.4-14
- Update to 4.0.4

* Fri Oct 25 2013 Scott R. Shinn <scott@atomicorp.com> - 4.0.3-13
- Update to 4.0.3

* Fri Jul 5 2013 Scott R. Shinn <scott@atomicorp.com> - 4.0.2-11
- Update to 4.0.2

* Fri Jun 7 2013 Scott R. Shinn <scott@atomicorp.com> - 4.0.1-10
- Update to 4.0.1

* Thu Apr 18 2013 Scott R. Shinn <scott@atomicorp.com> - 4.0.0-9
- Update to 4.0.0

* Thu Dec 20 2012 Scott R. Shinn <scott@atomicorp.com> - 3.0.5-8
- Complete migrate of basic setup into openvas-setup

* Thu Dec 20 2012 Scott R. Shinn <scott@atomicorp.com> - 3.0.5-7
- Update to 3.0.5
- Just in time for the apocalypse!

* Mon Dec 3 2012 Scott R. Shinn <scott@atomicorp.com> - 3.0.4-6
- Bugfix #XXX, for openvas-scapdata-sync path

* Fri Nov 23 2012 Scott R. Shinn <scott@atomicorp.com> - 3.0.4-5
- Bugfix #XXX, for openvas-scapdata-sync path

* Wed Nov 07 2012 Scott R. Shinn <scott@atomicorp.com> - 3.0.4-4
- Update to 3.0.4

* Mon Aug 20 2012 Scott R. Shinn <scott@atomicorp.com> - 3.0.3-3
- Update to 3.0.3

* Thu May 10 2012 Scott R. Shinn <scott@atomicorp.com> - 3.0.1-2
- Update to 3.0.1

* Tue Apr 24 2012 Scott R. Shinn <scott@atomicorp.com> - 3.0.0-1
- Update to 3.0.0

* Tue Jun 14 2011 Scott R. Shinn <scott@atomicorp.com> - 2.0.4-2
- Bugfix #XXX, this changes the keygen code to use DSA instead of RSA to handle a bug in gnutls.

* Wed Jun 1 2011 Scott R. Shinn <scott@atomicorp.com> - 2.0.4-1
- Update to 2.0.4

* Fri May 4 2011 Scott R. Shinn <scott@atomicorp.com> - 2.0.3-3
- Bugfix #XXX, for broken chmod on tasks.db
- Updated openvas-nvt-sync-cron to create the task db if it does not otherwise exist.

* Wed May 4 2011 Scott R. Shinn <scott@atomicorp.com> - 2.0.3-2
- Minor %post update to create the task.db before --rebuild runs

* Fri Apr 15 2011 Scott R. Shinn <scott@atomicorp.com> - 2.0.3-1
- UPdate to 2.0.3

* Tue Feb 22 2011 Scott R. Shinn <scott@atomicorp.com> - 2.0.1-1
- Update to 2.0.1

* Thu Feb 17 2011 Scott R. Shinn <scott@atomicorp.com> - 2.0.0-1
- Update to 2.0.0 final

* Wed Jan 19 2011 Scott R. Shinn <scott@atomicorp.com> - 2.0-0.3
- Update to 2.0 rc2

* Thu Dec 30 2010 Scott R. Shinn <scott@atomicorp.com> - 2.0-0.2
- Update 2.0 rc1

* Fri Dec 10 2010 Scott R. Shinn <scott@atomicorp.com> - 2.0-0.1
- Update to 2.0 beta 3

* Mon Aug 30 2010 Scott R. Shinn <scott@atomicorp.com> - 1.0.2-2
- Added init script
- Added sysconfig
- Added Logrotate
- Added %post/%postun macros to configure/create users and databases
- Added %post routine to reconfigure openvas-scanner to work with manager

* Thu Aug 26 2010 Scott R. Shinn <scott@atomicorp.com> - 1.0.2-1
- Update to 1.0.2

* Thu Jul 29 2010 Scott R. Shinn <scott@atomicorp.com> - 1.0.0-1
- Update to 1.0.0 final

* Wed Apr 28 2010 Scott R. Shinn <scott@atomicorp.com> - 1.0.0-beta6.1-1
- Update to beta6

* Tue Apr 13 2010 Scott R. Shinn <scott@atomicorp.com> - 1.0.0-beta5.1-1
- initial build

